DocumentCSS (Common DOM API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface DocumentCSS

All Superinterfaces:
  DocumentStyle

public interface DocumentCSS
extends DocumentStyle

This interface represents a document with a CSS view.

The `getOverrideStyle` method provides a mechanism through which a DOM author could effect immediate change to the style of an element without modifying the explicitly linked style sheets of a document or the inline style of elements in the style sheets. This style sheet comes after the author style sheet in the cascade algorithm and is called override style sheet. The override style sheet takes precedence over author style sheets. An "!important" declaration still takes precedence over a normal declaration. Override, author, and user style sheets all may contain "!important" declarations. User "!important" rules take precedence over both override and author "!important" rules, and override "!important" rules take precedence over author "!important" rules.

The expectation is that an instance of the `DocumentCSS` interface can be obtained by using binding-specific casting methods on an instance of the `Document` interface.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Method Summary
`CSSStyleDeclaration` | `getOverrideStyle(Element elt, String pseudoElt)` This method is used to retrieve the override style declaration for a specified element and a specified pseudo-element.

Methods inherited from interface org.w3c.dom.stylesheets.DocumentStyle
`getStyleSheets`

Method Detail

### getOverrideStyle

    public CSSStyleDeclaration getOverrideStyle(Element elt,
                                                String pseudoElt)

  This method is used to retrieve the override style declaration for a specified element and a specified pseudo-element.

  Parameters:
    `elt` - The element whose style is to be modified. This parameter cannot be null.
    `pseudoElt` - The pseudo-element or `null` if none.
  Returns:
    The override style declaration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.